XCRYPT(3)

NAME
xcrypt, xdecrypt, passwd2des - hex encryption and utility routines

SYNOPSIS
xencrypt(data, key)
char *data;
char *key;

xdecrypt(data, key)
char *data;
char *key;

passwd2des(pass, key)
char *pass;
char *key;

DESCRIPTION

The routines xencrypt and xdecrypt take NULL-terminated hexadecimal strings as arguments, and encrypt them using the 8-byte key as input to the DES algorithm. The input strings must have a length that is a multiple on 16 hex digits (64 bits is the DES block size).

passwd2des converts a password, of arbitrary length, into an 8-byte DES key, with odd-parity set in the low bit of each byte. The high-order bit of each input byte is ignored.

These routines are used by the DES authentication subsystem for encrypting and decrypting the secret keys stored in the publickey database.

SEE ALSO
des_crypt(3), publickey(5)